#!/usr/bin/ruby

require 'syslog/logger'

ENV['PBSPRO_IGNORE_KERBEROS']='yes'

$log = Syslog::Logger.new 'ai_offnodes.rb'

ninfo = ((`/opt/pbs/bin/pbsnodes -a -F dsv`).force_encoding('UTF-8'))

ninfo.each_line do |line|
   items = line.split('|')
   node = items[1].gsub(/Mom=/, '')
   state = items[5].gsub(/state=/, '')
   if line !~ /comment/ and state =~ /offline/
       puts("Putting #{node} back online")
       `/opt/pbs/bin/pbsnodes -r #{node}`
       $log.info("Node back online: #{line}") 
   end
end
